Get Income Attributes
Consumer Attributes
/GetIncomeAttributes
This endpoint will provide you with all Income use-case Attributes.
GET
Get Income Attributes
This endpoint will provide you with all Income use-case Attributes. Please refer to our Quickstart guide for further information on the use-cases / when to use this specific endpoint.
Request Parameters
| NAME | TYPE | DESCRIPTION |
|---|---|---|
| customerId (mandatory) | string | GUID representing your customer ID (provided by Flinks). |
| loginId (mandatory) | string | GUID representing the end user’s login ID. You get this value after a successful Authorize request. |
| requestId (mandatory) | string | GUID representing an authorized request to the API. You get this endpoint after a successful Authorize request. |
Response Fields
| NAME | TYPE | DESCRIPTION |
|---|---|---|
| Card | object | Object containing an id field (end user’s LoginId) and all the requested attributes (name: value). |
| Login | object | Object representing some end user’s technical information such as the LoginId. See Authorize endpoint documentation for this object details. |
| RequestId | string | GUID representing an authorized request to the API. You get this value after a successful Authorize request. |
| AttributeDetails | object | Object containing the fields TransactionId, AccountId, Date, Description, Debit, and Credit per Attribute. |
Path Parameters
Unique GUID provided by Flinks that grants you access to the environment.
GUID representing end user's login ID.
GUID representing an authorized request to the API.
Response
Result
HTTP status code of the response.
Object containing an Id field, all requested income attributes, and an AttributesDetail array with supporting transactions.
Object representing end user's technical information.
GUID representing an authorized request to the API.